> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment details

> Look up a payment using a sending or receiving transaction hash.

For an address's payment history, use [Get address payments](https://docs.range.org/data-api/reference/v1/get-address-payments.md).


## OpenAPI

````yaml api-reference/data-api.json get /v1/address/payment
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/address/payment:
    get:
      tags:
        - Address Information
      summary: Get payment
      description: Returns a payment transaction associated with the specified hash.
      operationId: getPayment
      parameters:
        - name: hash
          required: true
          in: query
          description: Txn Hash
          schema:
            example: '0xe6497e3ee548a3372136af2fcb0696db31fc6cf20260707645068bd3fe97f3c4'
            type: string
      responses:
        '200':
          description: >-
            Payment associated with a specific hash. This includes both incoming
            and outgoing transaction.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
components:
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
        network:
          type: string
        height:
          type: string
        index:
          type: number
        timestamp:
          type: string
        hash:
          type: string
        sender:
          type: string
        message_types:
          type: array
          items:
            type: string
        addresses:
          type: array
          items:
            type: string
        success:
          type: boolean
        gas:
          type: object
          properties:
            wanted:
              type: number
            used:
              type: number
          required:
            - wanted
            - used
        fees:
          type: object
          properties:
            amount:
              type: string
            denom:
              type: string
          required:
            - amount
            - denom
        amounts:
          type: array
          items:
            type: string
        memo:
          type: string
        signers:
          type: array
          items:
            type: string
        messages:
          type: array
          items:
            type: string
      required:
        - id
        - version
        - network
        - height
        - index
        - timestamp
        - hash
        - sender
        - message_types
        - addresses
        - success
        - gas
        - fees
        - amounts
        - memo
        - signers
        - messages
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.